Subject: [dhcwg] Review of draft-ietf-dhc-topo-conf-01

From: Suresh Krishnan <[email-masked]>
Date: Wed, 16 Apr 2014 03:38:55 +0000

Hi,
  I went over  draft-ietf-dhc-topo-conf-01 and I found it to be useful and easy to read. I had some comments that you may wish to address.

Section 2:

I think you were meaning to define "Routable IP address" as the first term but it is missing from the text

Section 3 Page 6:

I think this rewording will make the sentence read better

OLD:
if  the client does not yet have an IP address configuration
NEW:
if the client does not yet have an IP address configured

Section 3 Page 7:

I guess you want to refer to the Interface-Id option when you talk about the Interface Identifier option. If so, can you please replace.

As a side comment, would it make sense to add references for these options when they are first referred to in the draft?

e.g. For Interface-Id add Section 22.18 of RFC3315, for server unicast add Section 22.12 of RFC3315

Section 4 Page 8:

I think this example needs to be rewritten with a different IP prefix reserved for documentation instead of using the 10.0.0.0/8 RFC1918 prefix. Suggest using the TEST-NET-1, TEST-NET-2 and TEST-NET-3 blocks from RFC5737 for this purpose.

[NOTE: Since there are only 3 /24 documentation blocks reserved, the examples need to use a longer than /24 prefix for at least two of the subnets.]

Section 5:

Since the "it" refers to the relay agent code and not the router suggest

s/it doesn't have to be one./it doesn't have to be./

Section 6:

s/first relay agent that seen/first relay agent that saw/

Section 8:

Not sure what the last paragraph adds. Is this text necessary?

Thanks
Suresh